Bug 1024813 - [Performance] Search TestRuns without any criteria causes MySQL and Python interpreter occupies 100% CPU time.
[Performance] Search TestRuns without any criteria causes MySQL and Python in...
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
Devel
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yuguang Wang
tools-bugs
: Improvement, Performance
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 09:24 EDT by cqi
Modified: 2016-05-26 09:29 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cqi 2013-10-30 09:24:08 EDT
Same situation with Bug 1018021

Without any criterias, query TestRuns should not occupy 100% CPU time to handle this. This will affect normal operations coming from other users seriously.
Comment 1 yangqiu 2014-09-29 03:34:06 EDT
the average response time for search runs is 8.26s
performance test report:
https://docs.engineering.redhat.com/x/IpC0AQ

Note You need to log in before you can comment on or make changes to this bug.